CVC4::smt Namespace Reference

## Typedefs

typedef context::CDList< Command *, CommandCleanup > | CommandList

## Functions

void | beforeSearch (std::string, bool, SmtEngine *) throw (ModalException)
ProofManager * | currentProofManager ()

## Typedef Documentation

## CommandList

typedef context::CDList<Command*, CommandCleanup> CVC4::smt::CommandList

Definition at line 91 of file smt_engine.h.

## Function Documentation

## beforeSearch()

void CVC4::smt::beforeSearch | ( | std::string | ,
|  | bool | ,
|  | SmtEngine * | )
throw | ( | ModalException ) |  |  |

## currentProofManager()

ProofManager * CVC4::smt::currentProofManager | ( |  | ) |